Bug 522207 - New Package for Dogtag PKI: pki-common
Summary: New Package for Dogtag PKI: pki-common
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 521989 522204 522272
Blocks: Dogtag-to-Fedora 521996
TreeView+ depends on / blocked
 
Reported: 2009-09-09 18:43 UTC by Kevin Wright
Modified: 2015-07-13 04:56 UTC (History)
10 users (show)

Fixed In Version: 1.3.0-6.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-04 04:56:39 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Kevin Wright 2009-09-09 18:43:51 UTC
first pass at getting pki-common into Fedora.

Comment 1 Kevin Wright 2009-09-14 17:33:13 UTC
Spec URL: http://people.redhat.com/kwright/pki-common/pki-common.spec
SRPM URL: http://people.redhat.com/kwright/pki-common/pki-common-1.3.0-1.fc11.src.rpm
Description: 

Dogtag PKI is an enterprise software system designed to manage enterprise Public Key Infrastructure (PKI) deployments.

The Dogtag PKI  PKI Common Framework is required by the following four Dogtag PKI subsystems:

    the Dogtag Certificate Authority,
    the Dogtag Data Recovery Manager,
    the Dogtag Online Certificate Status Protocol Manager, and
    the Dogtag Token Key Service.

Comment 3 Parag AN(पराग) 2009-12-11 04:18:06 UTC
As per build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=1866683, added required deps in Bugzilla.

Comment 4 Kevin Wright 2009-12-20 01:23:26 UTC
*  BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) is provided because this package must also be made into an EPEL package

* BuildRequires:  java-devel >= 1:1.6.0" and "Requires:       java >= 1:1.6.0 versions are needed to distinguish our need for OpenJDK rather than libgcj

* "Conflicts:      tomcat-native" is required because we truly cannot run when this package is present

* Several packages may own the "%{_datadir}/pki/" and the "%{_javadir}/pki/" directories, since there are multiple subdirectories (some owned solely by one package) underneath these common directories -- see "https://fedoraproject.org/wiki/Packaging/Guidelines#File_and_Directory_Ownership"

* Mon Dec 7 2009 Matthew Harmsen <mharmsen@redhat.com> 1.3.0-4
- Bugzilla Bug #522207 - packaging for Fedora Dogtag
- Removed 'postinstall' tasks
- Removed 'with exceptions' from License

* Tue Nov 24 2009 Matthew Harmsen <mharmsen@redhat.com> 1.3.0-3
- Bugzilla Bug #522207 - packaging for Fedora Dogtag
- Use "_javadir" macro when appropriate

* Mon Nov 2 2009 Matthew Harmsen <mharmsen@redhat.com> 1.3.0-2
- Bugzilla Bug #522207 - packaging for Fedora Dogtag
- Take ownership of directories
Updated spec file and src rpm:

Spec URL: 
http://people.redhat.com/kwright/pki-common/pki-common.spec

SRPM URL:
http://people.redhat.com/kwright/pki-common/pki-common-1.3.0-4.fc11.src.rpm

Comment 5 Parag AN(पराग) 2009-12-21 03:45:18 UTC
waiting for dependencies to be first built in rawhide.

Comment 6 Kevin Wright 2009-12-22 18:10:17 UTC
both dependencies (pki-util & dogtag-pki-common-ui have been built in koji:
see http://koji.fedoraproject.org/koji/buildinfo?buildID=147450
http://koji.fedoraproject.org/koji/buildinfo?buildID=148080

Comment 7 Parag AN(पराग) 2009-12-23 03:49:54 UTC
As expected build failed. We need pki-util package in rawhide.
http://koji.fedoraproject.org/koji/taskinfo?taskID=1887721

Generally newer packages are checked against rawhide first.

Comment 8 Kevin Wright 2009-12-23 05:48:51 UTC
as requested. Rawhide build complete: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=1887750

Comment 9 Parag AN(पराग) 2009-12-23 10:02:01 UTC
1) Scratch build again failed for rawhide, See log http://koji.fedoraproject.org/koji/getfile?taskID=1887806&name=root.log

May I request you to please check spec file and see if all BuildRequires packages for this pki-common package is built in rawhide.

This time we are missing dogtag-pki-common-ui package.

2) But I also observed that build (http://koji.fedoraproject.org/koji/taskinfo?taskID=1887883) is successful if we remove 

BuildRequires:  dogtag-pki-common-ui

3) I also see few more things can be cleaned up in spec file
for Requires: lines

you can replace following lines
Requires:       %{_javadir}/pki/cmsutil.jar
Requires:       %{_javadir}/pki/nsutil.jar

with simple

Requires:       pki-util

4) There is no rhgb package in Fedora active branches but yes yum will give you its replacement plymouth-system-theme which is empty(meta) package. So why would this package need theme package?

Comment 10 Parag AN(पराग) 2009-12-23 10:18:16 UTC
5) you can change defattr of -javadoc subpackage to
%defattr(-,root,root,-)

Comment 11 Kevin Wright 2009-12-24 00:46:08 UTC
* Wed Dec 23 2009 Kevin Wright <kwright@redhat.com> 1.3.0-5
- Bugzilla Bug #522207 - packaging for Fedora Dogtag
- Removed Requires:       %{_javadir}/pki/cmsutil.jar
- Removed Requires:       %{_javadir}/pki/nsutil.jar
- Removed BuildRequires:  dogtag-pki-common-ui
- added   Requires:       pki-util
- changed -javadoc to: %defattr(-,root,root,-)


Updated spec file and src rpm:

Spec URL: 
http://people.redhat.com/kwright/pki-common/pki-common.spec

SRPM URL:
http://people.redhat.com/kwright/pki-common/pki-common-1.3.0-5.fc11.src.rpm

Comment 12 Parag AN(पराग) 2009-12-24 04:34:52 UTC
any comment on issue#4 raised in comment#9?

I think rhgb should not be needed by this package.

Comment 13 Kevin Wright 2009-12-24 17:20:10 UTC
* Thu Dec 24 2009 Kevin Wright <kwright@redhat.com> 1.3.0-6
- Bugzilla Bug #522207 - packaging for Fedora Dogtag
- Removed Requires:       rhgb

Updated spec file and src rpm:

Spec URL: 
http://people.redhat.com/kwright/pki-common/pki-common.spec

SRPM URL:
http://people.redhat.com/kwright/pki-common/pki-common-1.3.0-6.fc11.src.rpm

Comment 14 Parag AN(पराग) 2009-12-29 05:46:40 UTC
Thanks for update.

eview:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1894217
- rpmlint is NOT silent for SRPM and for RPM.
pki-common.src:122: W: macro-in-%changelog %{_javadir}
pki-common.src:123: W: macro-in-%changelog %{_javadir}
pki-common.src:126: W: macro-in-%changelog %defattr
pki-common.noarch: W: dangling-symlink /var/lib/tomcat5/common/lib/cmsutil.jar /usr/share/java/pki/cmsutil.jar
pki-common.noarch: W: dangling-symlink /var/lib/tomcat5/common/lib/nsutil.jar /usr/share/java/pki/nsutil.jar
==> Fix these messages.
+ source files match upstream url (sha1sum)
75ae888e57aaf3bbf4956ad7eb8f4f19addb6afc  pki-common-1.3.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

Suggestions:
1) please fix rpmlint messages before importing to cvs.
pki-common.src:122: W: macro-in-%changelog %{_javadir}
pki-common.src:123: W: macro-in-%changelog %{_javadir}
pki-common.src:126: W: macro-in-%changelog %defattr
==> In Changelog, you need to write macros as %%defattr not just %defattr. same for %{_javadir}, write it as %%{_javadir}

2)pki-common.noarch: W: dangling-symlink /var/lib/tomcat5/common/lib/cmsutil.jar /usr/share/java/pki/cmsutil.jar
pki-common.noarch: W: dangling-symlink /var/lib/tomcat5/common/lib/nsutil.jar /usr/share/java/pki/nsutil.jar
==> I think these are needed so can be ignored then 



APPROVED.

Comment 15 Kevin Wright 2009-12-29 06:24:23 UTC
New Package CVS Request
=======================
Package Name: pki-common
Short Description: The Dogtag  PKI Common Framework
Owners: kwright
Branches: F-11, F-12, EL-5
InitialCC: ausil

Comment 16 Kevin Fenzi 2010-01-02 20:20:30 UTC
cvs done.

Comment 17 Fedora Update System 2010-01-05 18:26:38 UTC
pki-common-1.3.0-6.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/pki-common-1.3.0-6.el5

Comment 18 Fedora Update System 2010-01-05 22:31:48 UTC
pki-common-1.3.0-6.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pki-common'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2010-0025

Comment 19 Fedora Update System 2010-01-07 23:22:20 UTC
pki-common-1.3.0-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pki-common-1.3.0-6.fc11

Comment 20 Fedora Update System 2010-01-07 23:45:19 UTC
pki-common-1.3.0-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pki-common-1.3.0-6.fc12

Comment 21 Fedora Update System 2010-01-08 19:59:18 UTC
pki-common-1.3.0-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pki-common'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0336

Comment 22 Fedora Update System 2010-01-08 20:00:46 UTC
pki-common-1.3.0-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pki-common'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0343

Comment 23 Fedora Update System 2010-02-22 22:37:19 UTC
pki-common-1.3.0-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.